Bug 1386337 - [DOCS] Add section for creating Self hosted engine storage domain
Summary: [DOCS] Add section for creating Self hosted engine storage domain
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.0.3
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.0.7
: ---
Assignee: Tahlia Richardson
QA Contact: Byron Gravenorst
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1351213
TreeView+ depends on / blocked
 
Reported: 2016-10-18 17:30 UTC by emahoney
Modified: 2019-05-07 13:16 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-03-08 01:03:34 UTC


Attachments (Terms of Use)

Description emahoney 2016-10-18 17:30:54 UTC
Description of problem:
https://access.redhat.com/documentation/en/red-hat-virtualization/4.0/paged/self-hosted-engine-guide/chapter-2-deploying-self-hosted-engine

Section 2.1.2 - Configuring a RHEL-Based Self-Hosted Engine
There should be a prerequisite stating that self-hosted engine requires its own storage domain (e.g. storage.example.com:/hosted_engine/nfs). It currently sends you to a guide that only has you prepare export,data,iso. 

In Section 2.2.2, the instructions suddenly references storage.example.com:/hosted_engine/nfs without stating how or when you were supposed to have created it. It should point back to the prerequisite saying how to create it. Something like "if you haven't already created the hosted_engine/nfs domain then please go back to the prequisites to create it.

Version-Release number of selected component (if applicable):
Deploying new RHV 4.0 environment

Comment 1 Yaniv Lavi 2016-11-01 13:27:50 UTC
Prerequisites should have one one bullet to state that storage is needed for the HE itself.

Comment 2 Tahlia Richardson 2017-01-13 01:01:07 UTC
New prerequisite should also specify the required size. 

GSS has also requested that we backport this addition to 3.6 (and 3.5, but I suspect we're past the point of pushing updates that far back). 

Is the size requirement different between 3.6 and 4.0? 

See also BZ#1392267 where Marina wonders if 50GB may not be enough if the hosted engine is also hosting the DWH database.

Comment 3 Lucy Bopf 2017-02-08 00:53:14 UTC
Assigning to Tahlia for review.

Adding bug 1351213 as a dependent, because the items are related.

Comment 5 Yaniv Lavi 2017-02-14 07:19:11 UTC
Can you please help get a review for this?

Comment 6 Sandro Bonazzola 2017-02-14 12:42:35 UTC
Sure. Simone, can you please review?

Comment 9 Byron Gravenorst 2017-02-24 05:46:56 UTC
Reviewed and verified. Added Revision history to 3.6.

Comment 10 Tahlia Richardson 2017-03-08 01:03:34 UTC
Now published at 
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1-beta/html-single/self-hosted_engine_guide/#chap-Deploying_Self-Hosted_Engine
and 
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.0/html-single/self-hosted_engine_guide/#chap-Deploying_Self-Hosted_Engine

Currently experiencing issues publishing for 3.6, but this content will be published in the 3.6 Self-Hosted Engine Guide as soon as that is resolved.


Note You need to log in before you can comment on or make changes to this bug.